@echo off

Set Fich=ENVOI_ART_KMC
Set Fichier=ART.CSV
Set Dossier=C:\SYMBOL\VERSMT

Set Params=NON_SEL DEL_MACR=0 ECR_INV

If Exist artic%_NumPoste.SEL Del artic%_NumPoste.SEL
If Exist edit%_NumPoste.TXT Del edit%_NumPoste.TXT
If Exist clien%_NumPoste.SEL Del clien%_NumPoste.SEL
If Exist %Fich%_NumPoste.TX3 Del %Fich%_NumPoste.TX3
If Exist %Fich%_NumPoste.CSV Del %Fich%_NumPoste.CSV
If Exist %Dossier\%Fichier Del %Dossier\%Fichier

AfficheMessage("MicroGestion|Traitement en cours...")

Rem Format fichier attendu (à adapter selon la configuration du client):
Rem 1 : Code-barres, 2:Référence, 3:Désignation, 4 et 5 : champs supplémentaires
Rem ATTENTION, bien mettre les >< après chaque champ
Echo [1 DESCRIPTIF ARTICLE............................><];[REF ARTICL><];[DESIGNATION ARTICLE.............................><];Stock: [QTE STO><];Prix: [PV1UTTC><] €         (([1 DESCRIPTIF ARTICLE............................><]<> )) > %Fich%_NumPoste.TX3

Rem Sélection de tous les articles (par défaut on les prend tous)
Fact [%_NumPoste] %Params /[%Fich%_NumPoste.TX3][%Fich%_NumPoste.CSV]_F05_AlRs_RET_RET_F01_F04_RET_RET_RET_Quit

If Not Exist %Fich%_NumPoste.CSV Then
Begin
 StopMessage("MicroGestion|Erreur lors de l'édition des articles.","Ok")
 Quit
End 

copy %Fich%_NumPoste.CSV %Dossier\%Fichier

If Not Exist %Dossier\%Fichier Then
Begin
 StopMessage("MicroGestion|Erreur lors de la copie du fichier","Ok")
 Quit
End

StopMessage("MicroGestion|Cliquez sur Envoi fichier ART.CSV vers terminal","Ok") 